<?php
/**
 *  Exit if accessed directly
 *
 * @package  Wt_Sl_Facebook_Settings
 * @version  1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Wt_Sl_Facebook_Settings.
 *
 * @since 1.0.0
 * @return output html
 */
class Wt_Sl_Facebook_Settings {

	/**
	 * Wt_sl_fb_enable.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_sl_fb_enable() {
			/* Translators: %s Docs URL. */
			echo wp_kses_post( sprintf( __( '<p> You need to create a <a href="%s" target="_blank">Facebook application</a> prior to start using the Facebook for social login. </p>', 'wt-social-login' ), 'https://developers.facebook.com/apps/' ) );

	}

	/**
	 * Wt_social_login_enable_facebook.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_enable_facebook() {
		echo '<input value="1" type="checkbox" id="wt_social_login_enable_facebook" name="wt_social_login_enable_facebook" ' . checked( 1, get_option( 'wt_social_login_enable_facebook' ), false ) . ' />';
	}

	/**
	 * Wt_social_login_facebook_app_id.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_facebook_app_id() {
		$wt_social_login_facebook_app_id = get_option( 'wt_social_login_facebook_app_id' );
		echo '<input type="text" name="wt_social_login_facebook_app_id" id="wt_social_login_facebook_app_id" value="' . esc_attr( $wt_social_login_facebook_app_id ) . '">';
	}

	/**
	 * Wt_social_login_facebook_app_secret.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_facebook_app_secret() {
		$wt_social_login_facebook_app_secret = get_option( 'wt_social_login_facebook_app_secret' );
		echo '<input type="text" name="wt_social_login_facebook_app_secret" id="wt_social_login_facebook_app_secret" value="' . esc_attr( $wt_social_login_facebook_app_secret ) . '">';
	}

	/**
	 * Wt_social_login_facebook_outh_url.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_facebook_outh_url() {
		$wt_social_login_facebook_outh_url = get_option( 'wt_social_login_facebook_outh_url' );
		echo '<input type="text" name="wt_social_login_facebook_outh_url" id="wt_social_login_facebook_outh_url" value="' . esc_attr( $wt_social_login_facebook_outh_url ) . '">';
	}

}
