<?php
/**
 *  Exit if accessed directly
 *
 * @package  Wt_Sl_Google_Settings
 * @version  1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Wt_Sl_Google_Settings.
 *
 * @since 1.0.0
 */
class Wt_Sl_Google_Settings {

	/**
	 * Wt_sl_google_enable.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_sl_google_enable() {

		/* Translators: %s Docs URL. */
		echo wp_kses_post( sprintf( __( '<p> You need to create a <a href="%s" target="_blank">Google application</a> prior to start using the Google for social login. </p>', 'wt-social-login' ), 'href="https://console.developers.google.com/apis/' ) );
	}

	/**
	 * Wt_social_login_enable_google.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_enable_google() {
		echo '<input value="1" type="checkbox" id="wt_social_login_enable_google" name="wt_social_login_enable_google" ' . checked( 1, get_option( 'wt_social_login_enable_google' ), false ) . ' />';
	}

	/**
	 * Wt_social_login_google_app_id.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_google_app_id() {
		$wt_social_login_google_app_id = get_option( 'wt_social_login_google_app_id' );
		echo '<input type="text" name="wt_social_login_google_app_id" id="wt_social_login_google_app_id" value="' . esc_attr( $wt_social_login_google_app_id ) . '">';
	}

	/**
	 * Wt_social_login_google_app_secret.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_google_app_secret() {
		$wt_social_login_google_app_secret = get_option( 'wt_social_login_google_app_secret' );
		echo '<input type="text" name="wt_social_login_google_app_secret" id="wt_social_login_google_app_secret" value="' . esc_attr( $wt_social_login_google_app_secret ) . '">';
	}

	/**
	 * Wt_social_login_google_callback_url.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_google_callback_url() {
		$wt_social_login_google_callback_url = get_option( 'wt_social_login_google_callback_url' );
		echo '<input type="text" name="wt_social_login_google_callback_url" id="wt_social_login_google_callback_url" value="' . esc_attr( $wt_social_login_google_callback_url ) . '">';
	}

}
