<?php
/**
 *  Exit if accessed directly
 *
 * @package  Wt_Sl_Linkedin_Settings
 * @version  1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Wt_Sl_Linkedin_Settings.
 *
 * @since 1.0.0
 */
class Wt_Sl_Linkedin_Settings {

	/**
	 * Wt_sl_linkedin_enable.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_sl_linkedin_enable() {

		/* Translators: %s Docs URL. */
		echo wp_kses_post( sprintf( __( '<p> You need to create a <a href="%s" target="_blank">LinkedIn application</a> prior to start using the LinkedIn for social login. </p>', 'wt-social-login' ), 'https://www.linkedin.com/secure/developer/' ) );
	}

	/**
	 * Wt_social_login_enable_linkedin.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_enable_linkedin() {
		echo '<input value="1" type="checkbox" id="wt_social_login_enable_linkedin" name="wt_social_login_enable_linkedin" ' . checked( 1, get_option( 'wt_social_login_enable_linkedin' ), false ) . ' />';
	}

	/**
	 * Wt_social_login_linkedin_app_id.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_linkedin_app_id() {
		$wt_social_login_linkedin_app_id = get_option( 'wt_social_login_linkedin_app_id' );
		echo '<input type="text" name="wt_social_login_linkedin_app_id" id="wt_social_login_linkedin_app_id" value="' . esc_attr( $wt_social_login_linkedin_app_id ) . '">';
	}

	/**
	 * Wt_social_login_linkedin_app_secret.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_linkedin_app_secret() {
		$wt_social_login_linkedin_app_secret = get_option( 'wt_social_login_linkedin_app_secret' );
		echo '<input type="text" name="wt_social_login_linkedin_app_secret" id="wt_social_login_linkedin_app_secret" value="' . esc_attr( $wt_social_login_linkedin_app_secret ) . '">';
	}

	/**
	 * Wt_social_login_linkedin_callback_url.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_linkedin_callback_url() {
		$wt_social_login_linkedin_callback_url = get_option( 'wt_social_login_linkedin_callback_url' );
		echo '<input type="text" name="wt_social_login_linkedin_callback_url" id="wt_social_login_linkedin_callback_url" value="' . esc_attr( $wt_social_login_linkedin_callback_url ) . '">';
	}

}
